Subject: Re: bug#57079: 29.0.50; Performance of seq-uniq is not very good

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 20 Aug 2022 11:19:24 +0200

Michael Heerdegen <[email-masked]> writes:

> Are we going to merge (or cherry pick) stuff from seq.el to cl-lib?
> Probably not, so let's disregard the idea that cl-lib will ever be a
> complete replacement for seq.el stuff.

Why probably not?  We used to limit ourselves to what was in Common Lisp
when the library was called cl.el, but now that it's cl-lib.el, we've
opened up the possibility of adding whatever we think is useful in
Emacs.

> If you can't: seq.el has lots of overlaps with other parts of Emacs.
> What is so special about CL that an overlap is not acceptable?  Or what
> is special about this task that it is not possible to handle it in
> several places?

I'm just explaining why the design of seq.el is the way that it is: It's
the way it is because the person who wrote it wanted a sequence library
with a simple, extremely regular interface.